Download it now!
Bug 62088 - Impress crashes on setting master pages
Summary: Impress crashes on setting master pages
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords: haveBacktrace, regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-03-10 07:48 UTC by Karthikeyan Krishnamurthi
Modified: 2013-04-26 04:54 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
console + bt with symbols on master sources (18.87 KB, text/plain)
2013-03-16 16:55 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Krishnamurthi 2013-03-10 07:48:01 UTC
While try to change the master page of an impress document, The application crashes.

To reproduce:
Libreoffice-> Impress 
   -> change the master page -> Application crashes.

FYI:  I "./g pull" the source on Mar4-2013 and build the source,  I found this problem.  So, I again "./g pull" and build on Mar9-2013 to check whether that problem is only with my source/binaries.  But, Still the problem persists.
Comment 1 Julien Nabet 2013-03-16 16:55:23 UTC
Created attachment 76614 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today, I reproduced the crash.

I attached bt + console.
Comment 2 Julien Nabet 2013-03-16 16:56:18 UTC
Thorsten/Radek: one for you?
Comment 3 Jorendc 2013-04-24 17:51:42 UTC
I can still reproduce this behavior, even after Kendy's fixes related to the slownesses (Bug 59259).
Comment 4 Commit Notification 2013-04-25 12:07:17 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fa553e4071a0ba4981a690429903c4e68607864

fdo#62088: Fix regression introduced by the DateTime incompatible change.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jan Holesovsky 2013-04-25 12:07:44 UTC
Fixed now.
Comment 6 Jean-Baptiste Faure 2013-04-25 13:36:54 UTC
(In reply to comment #5)
> Fixed now.

Hi Kendy,

Are you sure? My build (ubuntu 12.04 x86-64) of the master (Build ID: 19a1d2383d343375b3c4b4ab1845df6435679bd) still crashes when trying to change the master page. I did a make clean before make dev-install. It crashes even with a clean new profile. 

What I do to test:
1/ launch LO
2/ from the startCenter, open a new empty presentation
3/ click on an "available for use" master page.


Best regards. JBF
Comment 7 Commit Notification 2013-04-25 14:58:29 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26ef3153f3cd35ff1198a48479facea1d97b8fcd

fdo#62088: Fix crash on master page switch too.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Jan Holesovsky 2013-04-25 16:12:25 UTC
And now even the 2nd problem related to this was fixed :-)
Comment 9 Jean-Baptiste Faure 2013-04-26 04:54:36 UTC
(In reply to comment #8)
> And now even the 2nd problem related to this was fixed :-)

Indeed, just another check after a complete rebuild (Build ID: e35f2f0631784c1f58dbef5cb819a48b3a4703f) on ubuntu 12.04 x86-64

Thank you for this fix.

Best regards. JBF